Bug 130083 - [maintainer] www/p5-RT-Extension-SLA -- compatability with www/rt38
[maintainer] www/p5-RT-Extension-SLA -- compatability with www/rt38
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: beech
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-31 14:00 UTC by m.seaman
Modified: 2009-01-25 06:30 UTC (History)
0 users

See Also:


Attachments
p5-RT-Extension-SLA.diff (7.01 KB, patch)
2008-12-31 14:00 UTC, m.seaman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.seaman 2008-12-31 14:00:05 UTC
 * Add OPTION to switch between dependency on www/rt36 or www/rt38
   (www/rt38 is now the default)

 * Rename pkg-plist to pkg-plist.rt36

 * Add new pkg-plist.rt38
Comment 1 Martin Wilke freebsd_committer 2008-12-31 14:29:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 aturetta 2009-01-10 15:11:09 UTC
I really don't think pkg-plist.rt38 is correct.
Why the same files should ever be installed under both lib/RT and 
%%RTHOME%%/plugins/RT-Extension-SLA/lib/RT ?

Angelo.
Comment 3 m.seaman 2009-01-12 20:24:32 UTC
Angelo Turetta wrote:
> I really don't think pkg-plist.rt38 is correct.
> Why the same files should ever be installed under both lib/RT and 
> %%RTHOME%%/plugins/RT-Extension-SLA/lib/RT ?


Odd as it may seem, that is what this perl module does.  Here's
a diff of the contents of /usr/local -- local-files.before is a list of
installed files under /usr/local with rt-3.8.1_2 p5-BusinessHours-0.08 and all dependencies thereof installed into an empty /usr/local (generated by: 
find /usr/local/ -type f | sort > local-files.before)

local-files.after is the same but after installing the p5-RT-Extension-SLA port
from my work area:

sandbox:/tmp:# comm -13 local-files.before local-files.after 
/usr/local/lib/RT/Action/SLA.pm
/usr/local/lib/RT/Action/SLA_SetDefault.pm
/usr/local/lib/RT/Action/SLA_SetDue.pm
/usr/local/lib/RT/Action/SLA_SetStarts.pm
/usr/local/lib/RT/Condition/SLA.pm
/usr/local/lib/RT/Condition/SLA_RequireDefault.pm
/usr/local/lib/RT/Condition/SLA_RequireDueSet.pm
/usr/local/lib/RT/Condition/SLA_RequireStartsSet.pm
/usr/local/lib/RT/Extension/SLA.pm
/usr/local/lib/RT/Queue_SLA.pm
/usr/local/man/auto/RT/Extension/SLA/.packlist
/usr/local/man/man3/RT::Action::SLA.3.gz
/usr/local/man/man3/RT::Action::SLA_SetDefault.3.gz
/usr/local/man/man3/RT::Action::SLA_SetStarts.3.gz
/usr/local/man/man3/RT::Condition::SLA.3.gz
/usr/local/man/man3/RT::Condition::SLA_RequireDefault.3.gz
/usr/local/man/man3/RT::Condition::SLA_RequireDueSet.3.gz
/usr/local/man/man3/RT::Condition::SLA_RequireStartsSet.3.gz
/usr/local/man/man3/RT::Extension::SLA.3.gz
/usr/local/man/man3/RT::Queue_SLA.3.gz
/usr/local/share/rt38/plugins/RT-Extension-SLA/etc/initialdata
/usr/local/share/rt38/plugins/RT-Extension-SLA/lib/RT/Action/SLA.pm
/usr/local/share/rt38/plugins/RT-Extension-SLA/lib/RT/Action/SLA_SetDefault.pm
/usr/local/share/rt38/plugins/RT-Extension-SLA/lib/RT/Action/SLA_SetDue.pm
/usr/local/share/rt38/plugins/RT-Extension-SLA/lib/RT/Action/SLA_SetStarts.pm
/usr/local/share/rt38/plugins/RT-Extension-SLA/lib/RT/Condition/SLA.pm
/usr/local/share/rt38/plugins/RT-Extension-SLA/lib/RT/Condition/SLA_RequireDefault.pm
/usr/local/share/rt38/plugins/RT-Extension-SLA/lib/RT/Condition/SLA_RequireDueSet.pm
/usr/local/share/rt38/plugins/RT-Extension-SLA/lib/RT/Condition/SLA_RequireStartsSet.pm
/usr/local/share/rt38/plugins/RT-Extension-SLA/lib/RT/Extension/SLA.pm
/usr/local/share/rt38/plugins/RT-Extension-SLA/lib/RT/Queue_SLA.pm

and yes, those are the same files installed in two different places:

sandbox:/tmp:# diff -u /usr/local/lib/RT/Action/SLA.pm  /usr/local/share/rt38/plugins/RT-Extension-SLA/lib/RT/Action/SLA.pm
sandbox:/tmp:# echo $?
0

	Matthew

-- 
Dr Matthew J Seaman MA, D.Phil.                   7 Priory Courtyard
                                                  Flat 3
PGP: http://www.infracaninophile.co.uk/pgpkey     Ramsgate
                                                  Kent, CT11 9PW
Comment 4 beech freebsd_committer 2009-01-20 11:39:07 UTC
Responsible Changed
From-To: miwi->beech

Pass to me per request
Comment 5 dfilter freebsd_committer 2009-01-25 06:21:29 UTC
beech       2009-01-25 06:21:14 UTC

  FreeBSD ports repository

  Modified files:
    www/p5-RT-Extension-SLA Makefile 
  Added files:
    www/p5-RT-Extension-SLA pkg-plist.rt36 pkg-plist.rt38 
  Removed files:
    www/p5-RT-Extension-SLA pkg-plist 
  Log:
  - Add OPTION to switch between dependency on www/rt36 or www/rt38
    (www/rt38 is now the default)
  - Rename pkg-plist to pkg-plist.rt36
  - Add new pkg-plist.rt38
  
  PR:             ports/130083
  Submitted by:   Matthew Seaman <m.seaman@infracaninophile.co.uk> (maintainer)
  
  Revision  Changes    Path
  1.3       +28 -10    ports/www/p5-RT-Extension-SLA/Makefile
  1.2       +0 -26     ports/www/p5-RT-Extension-SLA/pkg-plist (dead)
  1.1       +26 -0     ports/www/p5-RT-Extension-SLA/pkg-plist.rt36 (new)
  1.1       +38 -0     ports/www/p5-RT-Extension-SLA/pkg-plist.rt38 (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 beech freebsd_committer 2009-01-25 06:22:56 UTC
State Changed
From-To: open->closed

Committed, Thanks!